Bug 110594 - NPE accessing search tab with Intermedia enabled
Summary: NPE accessing search tab with Intermedia enabled
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Enterprise CMS
Classification: Retired
Component: ui (Show other bugs)
(Show other bugs)
Version: nightly
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Vadim Nasardinov
QA Contact: Jon Orris
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 109665
TreeView+ depends on / blocked
 
Reported: 2003-11-21 16:32 UTC by Jon Orris
Modified: 2007-04-18 16:59 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-24 21:36:09 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jon Orris 2003-11-21 16:32:05 UTC
Description of problem:
@38201

Accessing the Search tab when intermedia is created gives an NPE in
the Categorization code.

To Reproduce:
1) Create some content and assign to categories.
2) Go to search tab
3) Boom

(Step 1 may not be neccessary; just recording what I did so far.)

java.lang.NullPointerException
	at
com.arsdigita.categorization.Category.getDescendants(Category.java:1515)
	at
com.arsdigita.search.ui.filters.SimpleCategoryFilterWidget.getCategories(SimpleCategoryFilterWidget.java:73)
	at
com.arsdigita.search.ui.filters.CategoryFilterWidget.generateBodyXML(CategoryFilterWidget.java:75)
	at
com.arsdigita.search.ui.FilterComponent.generateXML(FilterComponent.java:56)
	at
com.arsdigita.bebop.SimpleContainer.generateChildrenXML(SimpleContainer.java:243)
	at
com.arsdigita.search.ui.BaseQueryComponent.generateXML(BaseQueryComponent.java:126)
	at
com.arsdigita.bebop.SimpleContainer.generateChildrenXML(SimpleContainer.java:243)
	at
com.arsdigita.bebop.SimpleContainer.generateXML(SimpleContainer.java:260)
	at com.arsdigita.bebop.FormSection.generateXML(FormSection.java:635)
	at
com.arsdigita.bebop.SimpleContainer.generateChildrenXML(SimpleContainer.java:243)
	at
com.arsdigita.bebop.SimpleContainer.generateXML(SimpleContainer.java:260)
	at com.arsdigita.bebop.Form.generateXMLSansState(Form.java:234)
	at com.arsdigita.bebop.Form.generateXML(Form.java:194)
	at com.arsdigita.bebop.TabbedPane.generateXML(TabbedPane.java:444)
	at
com.arsdigita.bebop.SimpleContainer.generateChildrenXML(SimpleContainer.java:243)
	at
com.arsdigita.bebop.SimpleContainer.generateXML(SimpleContainer.java:260)
	at com.arsdigita.bebop.Page.generateXML(Page.java:641)
	at com.arsdigita.bebop.Page.buildDocument(Page.java:742)
	at com.arsdigita.cms.dispatcher.CMSPage$1.excurse(CMSPage.java:280)

Comment 1 Vadim Nasardinov 2003-11-24 21:15:25 UTC
Did Archit's change 38260 fix this?

Comment 2 Jon Orris 2003-11-24 21:36:09 UTC
Fixed @38260


Note You need to log in before you can comment on or make changes to this bug.